List your notifications, newest first, with your unread count
GET /api/member/notifications. List your notifications, newest first, with your unread count. Headless LMS Notifications API reference.
For any member of the organization. Each notification names what it refers to; a post or chat you can no longer see is null.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/notifications"{ "rows": [ { "id": "string", "kind": "newPostInSpace", "createdAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z", "actor": { "orgUserId": "string", "displayName": "string", "imageUrl": "string" }, "community": { "id": "string", "title": "string" }, "space": { "id": "string", "name": "string" }, "post": { "id": "string", "title": "string" }, "commentId": "string", "chat": { "id": "string", "title": "string" }, "messageId": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991, "unreadCount": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}